package com.cimeyclust.addonreader.resources;

import java.util.HashMap;
import java.util.Map;

public class Pool {
    public int rolls;
    public Map<String, Integer> entries;

    public Pool(int rolls, Map<String, Integer> entries) {
        this.rolls = rolls;
        this.entries = entries;
    }

    public int getTotalWeight() {
        int totalWeight = 0;
        for (int weight : entries.values()) {
            totalWeight += weight;
        }
        return totalWeight;
    }
}
